<?php

declare (strict_types = 1);

namespace App\Nova\Filters;

use DigitalCreative\RangeInputFilter\RangeInputFilter;
use Illuminate\Http\Request;

class ProductPriceFilter extends RangeInputFilter
{

    public function apply(Request $request, $query, $value)
    {
        return $query->where('price', '<=', $value['to'])->where('price', '>=', $value['from']);
    }

    public function options(Request $request): array
    {
        return [
            'fromPlaceholder' => 0,
            'toPlaceholder' => 20,
            'dividerLabel' => 'to',
        ];
    }
}
